﻿© 2003 Fluke Corporation. All Rights Reserved.              MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 3245A DCI High Resolution VER IEEE /3458
INSTRUMENT:            Sub HP 3245A DCI Low Resolution VER IEEE /3458
INSTRUMENT:            Sub HP 3245A DCI Output Resistance VER IEEE /3458,5500
INSTRUMENT:            Sub HP 3245A DCI Volt Compliance VER IEEE /3458,5500
DATE:                  13-Oct-2003
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       49
NUMBER OF LINES:       449
CONFIGURATION:         HP 3458A
CONFIGURATION:         Fluke 5500A
=============================================================================
#
#  Author:
#        DFM
#
# Compatibility:
#        MET/CAL 7.01 or later
#
# Subprocedures:
#        None
#
# Required Files:
#        None
#
# Registers Used:
#
#  Local:
#     Sub HP 3245A DCI Output Resistance VER IEEE /3458,5500
#        L[1] = UUT quiescent current on 100 µA DCI range
#        L[2] = UUT quiescent current on 1 mA DCI range
#        L[3] = UUT quiescent current on 10 mA DCI range
#        L[4] = UUT quiescent current on 100 mA DCI range
#
#  Global:
#        None
#
#  String:
#        S[6] = UUT channel under test ("A" or "B") designator
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         DCI_HI_RES                   PSUBI("DCI High")
  1.002  JMPL         DCI_LO_RES                   PSUBI("DCI Low")
  1.003  JMPL         DCI_OUTPUT_Z                 PSUBI("DCI Output")
  1.004  JMPL         DCI_COMPLIANCE               PSUBI("DCI Volt")
  1.005  DISP         Called subprocedure not found!
  1.006  END

  1.007  LABEL        DCI_HI_RES
  1.008  RSLT         =
  1.009  RSLT         =Channel [S6]
  1.010  RSLT         =
  1.011  RSLT         = 100 µA Range
  1.012  HEAD         DC CURRENT, HIGH RESOLUTION (Channel [S6]): 100 µA
  1.013  TARGET       -p
  1.014  DISP         Make the following connections:
  1.014  DISP
  1.014  DISP         [32]        3245A         to          3458A
  1.014  DISP         [32]                         -- INPUT (2 Wire) I
  1.014  DISP         [32]  Channel [S6] OUTPUT -----|
  1.014  DISP         [32]                         -- INPUT (2 Wire) LO
  1.014  DISP
  1.014  DISP         (Use BNC(f) to double-banana plug adapter at 3458A.)
  1.015  IEEE         DCRES HIGH;RANGE .0001
  1.016  IEEE         APPLY DCI .0001
  1.017  TOL          0.0072% 3.9e-3U
  1.018  TARGET       -m
  1.019  3458   100   100.0000uA     TOL                                   2W

  2.001  HEAD         DC CURRENT, HIGH RESOLUTION (Channel [S6]): 50 µA
  2.002  IEEE         APPLY DCI .00005
  2.003  TARGET       -m
  2.004  3458   100   50.0000uA      TOL                                   2W

  3.001  HEAD         DC CURRENT, HIGH RESOLUTION (Channel [S6]): 0 µA
  3.002  IEEE         APPLY DCI 0
  3.003  TARGET       -m
  3.004  3458   100   0.0000uA       TOL                                   2W

  4.001  HEAD         DC CURRENT, HIGH RESOLUTION (Channel [S6]): -50 µA
  4.002  IEEE         APPLY DCI -.00005
  4.003  TARGET       -m
  4.004  3458   100   -50.0000uA     TOL                                   2W

  5.001  HEAD         DC CURRENT, HIGH RESOLUTION (Channel [S6]): 100 µA
  5.002  IEEE         APPLY DCI -.0001
  5.003  TARGET       -m
  5.004  3458   100   -100.0000uA    TOL                                   2W

  6.001  RSLT         =
  6.002  RSLT         = 1 mA Range
  6.003  TARGET       -p
  6.004  IEEE         DCRES HIGH;RANGE .001
  6.005  HEAD         DC CURRENT, HIGH RESOLUTION (Channel [S6]): 1 mA
  6.006  IEEE         APPLY DCI .001
  6.007  TOL          0.0073% 25e-6U
  6.008  TARGET       -m
  6.009  3458   1     1.000000mA     TOL                                   2W

  7.001  HEAD         DC CURRENT, HIGH RESOLUTION (Channel [S6]): 0.5 mA
  7.002  IEEE         APPLY DCI .0005
  7.003  TARGET       -m
  7.004  3458   1     0.500000mA     TOL                                   2W

  8.001  HEAD         DC CURRENT, HIGH RESOLUTION (Channel [S6]): 0 mA
  8.002  IEEE         APPLY DCI 0
  8.003  TARGET       -m
  8.004  3458   1     0.000000mA     TOL                                   2W

  9.001  HEAD         DC CURRENT, HIGH RESOLUTION (Channel [S6]): -0.5 mA
  9.002  IEEE         APPLY DCI -.0005
  9.003  TARGET       -m
  9.004  3458   1     -0.500000mA    TOL                                   2W

 10.001  HEAD         DC CURRENT, HIGH RESOLUTION (Channel [S6]): -1 mA
 10.002  IEEE         APPLY DCI -.001
 10.003  TARGET       -m
 10.004  3458   1     -1.000000mA    TOL                                   2W

 11.001  RSLT         =
 11.002  RSLT         = 10 mA Range
 11.003  TARGET       -p
 11.004  IEEE         DCRES HIGH;RANGE .01
 11.005  HEAD         DC CURRENT, HIGH RESOLUTION (Channel [S6]): 10 mA
 11.006  IEEE         APPLY DCI .01
 11.007  TOL          0.0094% 270e-6U
 11.008  TARGET       -m
 11.009  3458   10    10.00000mA     TOL                                   2W

 12.001  HEAD         DC CURRENT, HIGH RESOLUTION (Channel [S6]): 5 mA
 12.002  IEEE         APPLY DCI .005
 12.003  TARGET       -m
 12.004  3458   10    5.00000mA      TOL                                   2W

 13.001  HEAD         DC CURRENT, HIGH RESOLUTION (Channel [S6]): 0 mA
 13.002  IEEE         APPLY DCI 0
 13.003  TARGET       -m
 13.004  3458   10    0.00000mA      TOL                                   2W

 14.001  HEAD         DC CURRENT, HIGH RESOLUTION (Channel [S6]): -5 mA
 14.002  IEEE         APPLY DCI -.005
 14.003  TARGET       -m
 14.004  3458   10    -5.00000mA     TOL                                   2W

 15.001  HEAD         DC CURRENT, HIGH RESOLUTION (Channel [S6]): -10 mA
 15.002  IEEE         APPLY DCI -.01
 15.003  TARGET       -m
 15.004  3458   10    -10.00000mA    TOL                                   2W

 16.001  RSLT         =
 16.002  RSLT         = 100 mA Range
 16.003  TARGET       -p
 16.004  IEEE         DCRES HIGH;RANGE .1
 16.005  HEAD         DC CURRENT, HIGH RESOLUTION (Channel [S6]): 100 mA
 16.006  IEEE         APPLY DCI .1
 16.007  TOL          0.0244% 3.8e-3U
 16.008  TARGET       -m
 16.009  3458   100   100.0000mA     TOL                                   2W

 17.001  HEAD         DC CURRENT, HIGH RESOLUTION (Channel [S6]): 50 mA
 17.002  IEEE         APPLY DCI .05
 17.003  TARGET       -m
 17.004  3458   100   50.0000mA      TOL                                   2W

 18.001  HEAD         DC CURRENT, HIGH RESOLUTION (Channel [S6]): 0 mA
 18.002  IEEE         APPLY DCI 0
 18.003  TARGET       -m
 18.004  3458   100   0.0000mA       TOL                                   2W

 19.001  HEAD         DC CURRENT, HIGH RESOLUTION (Channel [S6]): -50 mA
 19.002  IEEE         APPLY DCI -.05
 19.003  TARGET       -m
 19.004  3458   100   -50.0000mA     TOL                                   2W

 20.001  HEAD         DC CURRENT, HIGH RESOLUTION (Channel [S6]): -100 mA
 20.002  IEEE         APPLY DCI -.1
 20.003  TARGET       -m
 20.004  3458   100   -100.0000mA    TOL                                   2W
 21.001  JMPL         END

 21.002  LABEL        DCI_LO_RES
 21.003  RSLT         =
 21.004  RSLT         =Channel [S6]
 21.005  RSLT         =
 21.006  RSLT         = 100 µA Range
 21.007  TARGET       -p
 21.008  IEEE         DCRES LOW;RANGE .0001
 21.009  HEAD         DC CURRENT, LOW RESOLUTION (Channel [S6]): 100 µA
 21.010  IEEE         APPLY DCI .0001
 21.011  TOL          0.29% 460e-3U
 21.012  TARGET       -m
 21.013  3458   100   100.0000uA     TOL                                   2W

 22.001  HEAD         DC CURRENT, LOW RESOLUTION (Channel [S6]): 50 µA
 22.002  IEEE         APPLY DCI .00005
 22.003  TARGET       -m
 22.004  3458   100   50.0000uA      TOL                                   2W

 23.001  HEAD         DC CURRENT, LOW RESOLUTION (Channel [S6]): 0 µA
 23.002  IEEE         APPLY DCI 0
 23.003  TARGET       -m
 23.004  3458   100   0.0000uA       TOL                                   2W

 24.001  HEAD         DC CURRENT, LOW RESOLUTION (Channel [S6]): -50 µA
 24.002  IEEE         APPLY DCI -.00005
 24.003  TARGET       -m
 24.004  3458   100   -50.0000uA     TOL                                   2W

 25.001  HEAD         DC CURRENT, LOW RESOLUTION (Channel [S6]): 100 µA
 25.002  IEEE         APPLY DCI -.0001
 25.003  TARGET       -m
 25.004  3458   100   -100.0000uA    TOL                                   2W

 26.001  RSLT         =
 26.002  RSLT         = 1 mA Range
 26.003  TARGET       -p
 26.004  IEEE         DCRES LOW;RANGE .001
 26.005  HEAD         DC CURRENT, LOW RESOLUTION (Channel [S6]): 1 mA
 26.006  IEEE         APPLY DCI .001
 26.007  TOL          0.29% 4.6e-3U
 26.008  TARGET       -m
 26.009  3458   1     1.000000mA     TOL                                   2W

 27.001  HEAD         DC CURRENT, LOW RESOLUTION (Channel [S6]): 0.5 mA
 27.002  IEEE         APPLY DCI .0005
 27.003  TARGET       -m
 27.004  3458   1     0.500000mA     TOL                                   2W

 28.001  HEAD         DC CURRENT, LOW RESOLUTION (Channel [S6]): 0 mA
 28.002  IEEE         APPLY DCI 0
 28.003  TARGET       -m
 28.004  3458   1     0.000000mA     TOL                                   2W

 29.001  HEAD         DC CURRENT, LOW RESOLUTION (Channel [S6]): -0.5 mA
 29.002  IEEE         APPLY DCI -.0005
 29.003  TARGET       -m
 29.004  3458   1     -0.500000mA    TOL                                   2W

 30.001  HEAD         DC CURRENT, LOW RESOLUTION (Channel [S6]): -1 mA
 30.002  IEEE         APPLY DCI -.001
 30.003  TARGET       -m
 30.004  3458   1     -1.000000mA    TOL                                   2W

 31.001  RSLT         =
 31.002  RSLT         = 10 mA Range
 31.003  TARGET       -p
 31.004  IEEE         DCRES LOW;RANGE .01
 31.005  HEAD         DC CURRENT, LOW RESOLUTION (Channel [S6]): 10 mA
 31.006  IEEE         APPLY DCI .01
 31.007  TOL          0.33% 61e-3U
 31.008  TARGET       -m
 31.009  3458   10    10.00000mA     TOL                                   2W

 32.001  HEAD         DC CURRENT, LOW RESOLUTION (Channel [S6]): 5 mA
 32.002  IEEE         APPLY DCI .005
 32.003  TARGET       -m
 32.004  3458   10    5.00000mA      TOL                                   2W

 33.001  HEAD         DC CURRENT, LOW RESOLUTION (Channel [S6]): 0 mA
 33.002  IEEE         APPLY DCI 0
 33.003  TARGET       -m
 33.004  3458   10    0.00000mA      TOL                                   2W

 34.001  HEAD         DC CURRENT, LOW RESOLUTION (Channel [S6]): -5 mA
 34.002  IEEE         APPLY DCI -.005
 34.003  TARGET       -m
 34.004  3458   10    -5.00000mA     TOL                                   2W

 35.001  HEAD         DC CURRENT, LOW RESOLUTION (Channel [S6]): -10 mA
 35.002  IEEE         APPLY DCI -.01
 35.003  TARGET       -m
 35.004  3458   10    -10.00000mA    TOL                                   2W

 36.001  RSLT         =
 36.002  RSLT         = 100 mA Range
 36.003  TARGET       -p
 36.004  IEEE         DCRES LOW;RANGE .1
 36.005  HEAD         DC CURRENT, LOW RESOLUTION (Channel [S6]): 100 mA
 36.006  IEEE         APPLY DCI .1
 36.007  TOL          0.35% 470e-3U
 36.008  TARGET       -m
 36.009  3458   100   100.0000mA     TOL                                   2W

 37.001  HEAD         DC CURRENT, LOW RESOLUTION (Channel [S6]): 50 mA
 37.002  IEEE         APPLY DCI .05
 37.003  TARGET       -m
 37.004  3458   100   50.0000mA      TOL                                   2W

 38.001  HEAD         DC CURRENT, LOW RESOLUTION (Channel [S6]): 0 mA
 38.002  IEEE         APPLY DCI 0
 38.003  TARGET       -m
 38.004  3458   100   0.0000mA       TOL                                   2W

 39.001  HEAD         DC CURRENT, LOW RESOLUTION (Channel [S6]): -50 mA
 39.002  IEEE         APPLY DCI -.05
 39.003  TARGET       -m
 39.004  3458   100   -50.0000mA     TOL                                   2W

 40.001  HEAD         DC CURRENT, LOW RESOLUTION (Channel [S6]): -100 mA
 40.002  IEEE         APPLY DCI -.1
 40.003  TARGET       -m
 40.004  3458   100   -100.0000mA    TOL                                   2W
 41.001  JMPL         END

 41.002  LABEL        DCI_OUTPUT_Z
 41.003  RSLT         =
 41.004  RSLT         =Channel [S6]
 41.005  RSLT         =
 41.006  RSLT         = 100 mA Range
 41.007  HEAD         DC CURRENT, OUTPUT RESISTANCE (Channel [S6])
# Jump past hookup instructions in normal use.
 41.008  JMPL         SKIP_HOOKUP

 41.009  TARGET       -p
# Show hookup instructions during "Cancel" or "Repeat".
 41.010  DISP         Make the following connections:
 41.010  DISP
 41.010  DISP         [32]        3245A         to          3458A
 41.010  DISP         [32]                         -- INPUT (2 Wire) I
 41.010  DISP         [32]  Channel [S6] OUTPUT -----|
 41.010  DISP         [32]                         -- INPUT (2 Wire) LO
 41.010  DISP
 41.010  DISP         (Use BNC(f) to double-banana plug adapter at 3458A.)

 41.011  LABEL        SKIP_HOOKUP
 41.012  IEEE         APPLY DCI 0;RANGE .1
 41.013  HEAD         Measuring Ch. [S6] 100 mA Range quiescent current...
 41.014  3458         2e-6A                                             N  2W
# Store quiescent current for UUT .1 A range.
 41.015  MATH         L[1] = MEM
 41.016  HEAD         Measuring Ch. [S6] 10 mA Range quiescent current...
 41.017  IEEE         RANGE .01
 41.018  3458         2e-7A                                             N  2W
# Store quiescent current for UUT .01 A range.
 41.019  MATH         L[2] = MEM
 41.020  HEAD         Measuring Ch. [S6] 1 mA Range quiescent current...
 41.021  IEEE         RANGE .001
 41.022  3458         2e-8A                                             N  2W
# Store quiescent current for UUT .001 A range.
 41.023  MATH         L[3] = MEM
 41.024  HEAD         Measuring Ch. [S6] 100 µA Range quiescent current...
 41.025  IEEE         RANGE .0001
 41.026  3458         2e-9A                                             N  2W
# Store quiescent current for UUT .0001 A range.
 41.027  MATH         L[4] = MEM

 41.028  HEAD         DC CURRENT, OUTPUT RESISTANCE (Channel [S6]): 100 mA
 41.029  IEEE         RANGE .1
 41.030  HEAD         DC CURRENT, OUTPUT RESISTANCE (Channel [S6]): 100 mA
 41.031  DISP         Connect the 5500A NORMAL HI output to the 3458A
 41.031  DISP         INPUT (2 Wire) LO terminal.
 41.031  DISP
 41.031  DISP         Connect the 5500A NORMAL LO output to the UUT
 41.031  DISP         Channel [S6] BNC shell.
 41.031  DISP
 41.031  DISP         Connect the UUT Channel [S6] BNC center conductor
 41.031  DISP         to the 3458A INPUT (2 Wire) I terminal.
 41.032  5500         8V                                                S  2W
 41.033  IEEE         [@3458]DCI AUTO
 41.034  TARGET       -m
 41.035  3458         3e-6A                                             N  2W
 41.036  MATH         MEM = (8 / (L[1] - MEM)) / 1E+6
 41.037  EVAL   -e MEM > 3.1 : [32]Output Resistance > 3.1 MOhms
 42.001  5500         *                                                 S

 42.002  RSLT         =
 42.003  RSLT         = 10 mA Range
 42.004  HEAD         DC CURRENT, OUTPUT RESISTANCE (Channel [S6]): 10 mA
 42.005  IEEE         RANGE .01
 42.006  5500         10V                                               S  2W
 42.007  TARGET       -m
 42.008  3458         2e-7A                                             N  2W
 42.009  MATH         MEM = (10 / (L[2] - MEM)) / 1E+6
 42.010  EVAL   -e MEM > 210 : [32]Output Resistance > 210 MOhms
 43.001  5500         *                                                 S

 43.002  RSLT         =
 43.003  RSLT         = 1 mA Range
 43.004  HEAD         DC CURRENT, OUTPUT RESISTANCE (Channel [S6]): 1 mA
 43.005  IEEE         RANGE .001
 43.006  5500         10V                                               S  2W
 43.007  TARGET       -m
 43.008  3458         2e-8A                                             N  2W
 43.009  MATH         MEM = (10 / (L[3] - MEM)) / 1E+6
 43.010  EVAL   -e MEM > 2500 : [32]Output Resistance > 2500 MOhms
 44.001  5500         *                                                 S

 44.002  RSLT         =
 44.003  RSLT         = 100 µA Range
 44.004  HEAD         DC CURRENT, OUTPUT RESISTANCE (Channel [S6]): 100 µA
 44.005  IEEE         RANGE .0001
 44.006  5500         10V                                               S  2W
 44.007  TARGET       -m
 44.008  3458         2e-9A                                             N  2W
 44.009  MATH         MEM = (10 / (L[4] - MEM)) / 1E+6
 44.010  EVAL   -e MEM > 10000 : [32]Output Resistance > 10000 MOhms
 45.001  5500         *                                                 S
 45.002  JMPL         END

 45.003  LABEL        DCI_COMPLIANCE
 45.004  RSLT         =
 45.005  RSLT         = Channel [S6]
 45.006  RSLT         =
 45.007  RSLT         = 100 mA Range
 45.008  HEAD         DC CURRENT, VOLTAGE COMPLIANCE (Channel [S6]): +100 mA
 45.009  TARGET       -p
 45.010  IEEE         [@3458]DCI AUTO
 45.011  5500         8V                                                S  2W
 45.012  IEEE         RANGE .1;APPLY DCI .1
 45.013  3458   100   100.000mA      2.6e-2U                               2W
 46.001  IEEE         APPLY DCI 0
 46.002  5500         *                                                 S

 46.003  HEAD         DC CURRENT, VOLTAGE COMPLIANCE (Channel [S6]): -100 mA
 46.004  5500         -8V                                               S  2W
 46.005  IEEE         APPLY DCI -.1
 46.006  3458   100   -100.000mA     2.6e-2U                               2W
 47.001  IEEE         APPLY DCI 0
 47.002  5500         *                                                 S

 47.003  RSLT         =
 47.004  RSLT         = 10 mA Range
 47.005  HEAD         DC CURRENT, VOLTAGE COMPLIANCE (Channel [S6]): +10 mA
 47.006  TARGET       -p
 47.007  IEEE         [@3458]DCI AUTO
 47.008  5500         10V                                               S  2W
 47.009  IEEE         RANGE .01;APPLY DCI .01
 47.010  3458   10    10.000mA       2e-3U                                 2W
 48.001  IEEE         APPLY DCI 0
 48.002  5500         *                                                 S

 48.003  HEAD         DC CURRENT, VOLTAGE COMPLIANCE (Channel [S6]): -10 mA
 48.004  5500         -10V                                              S  2W
 48.005  IEEE         APPLY DCI -.01
 48.006  3458   10    -10.000mA      2e-3U                                 2W
 49.001  IEEE         APPLY DCI 0
 49.002  5500         *                                                 S

 49.003  LABEL        END
 49.004  3458         *                                                 S
 49.005  END
